ALAS2-2020-1492


Amazon Linux 2 Security Advisory: ALAS-2020-1492
Advisory Release Date: 2020-09-15 17:18 Pacific
Advisory Updated Date: 2020-09-16 23:42 Pacific
Severity: Low
References: CVE-2020-24370 

Issue Overview:

ldebug.c in Lua 5.4.0 allows a negation overflow and segmentation fault in getlocal and setlocal, as demonstrated by getlocal(3,2^31). (CVE-2020-24370 )


Affected Packages:

lua53


Issue Correction:
Run yum update lua53 to update your system.

New Packages:
aarch64:
    lua53-5.3.5-7.amzn2.0.1.aarch64
    lua53-devel-5.3.5-7.amzn2.0.1.aarch64
    lua53-libs-5.3.5-7.amzn2.0.1.aarch64
    lua53-static-5.3.5-7.amzn2.0.1.aarch64
    lua53-debuginfo-5.3.5-7.amzn2.0.1.aarch64

i686:
    lua53-5.3.5-7.amzn2.0.1.i686
    lua53-devel-5.3.5-7.amzn2.0.1.i686
    lua53-libs-5.3.5-7.amzn2.0.1.i686
    lua53-static-5.3.5-7.amzn2.0.1.i686
    lua53-debuginfo-5.3.5-7.amzn2.0.1.i686

src:
    lua53-5.3.5-7.amzn2.0.1.src

x86_64:
    lua53-5.3.5-7.amzn2.0.1.x86_64
    lua53-devel-5.3.5-7.amzn2.0.1.x86_64
    lua53-libs-5.3.5-7.amzn2.0.1.x86_64
    lua53-static-5.3.5-7.amzn2.0.1.x86_64
    lua53-debuginfo-5.3.5-7.amzn2.0.1.x86_64